<template>
    <EasyDataTable :empty-message="t('global.table.noData')"
                   :filter-options="filterOptions"
                   :headers="headers"
                   :hide-footer="isSoloItem"
                   :hide-rows-per-page="true"
                   :items="items"
                   :loading="isLoading"
                   :rows-of-page-separator-message="t('global.table.of')"
                   :rows-per-page="isSoloItem ? 1 : 10"
                   :search-value="searchValue"
                   :table-min-height="0"
                   @click-row="showRow"
                   alternating
                   buttons-pagination
                   header-item-class-name="vue3-easy-data-table__header-item"
                   theme-color="#00ADEE">


    </EasyDataTable>
</template>

<script lang="ts" setup>
    import type { FilterOption, Header, Item, ClickRowArgument } from "vue3-easy-data-table"
import {useI18n} from "vue3-i18n"
import { Member } from "../../types"


const {t} = useI18n()

// eslint-disable-next-line
defineProps<{
  headers: Header[],
  items: Item[],
  filterOptions?: FilterOption[],
  isLoading?: boolean,
  searchValue?: string
  isSoloItem?: boolean
}>()

// eslint-disable-next-line
const emit = defineEmits<{
    (event: "ouvrirModalFormSelectNumeroLot", item: any): void
}>()

//function handleDelete(item: any) {
//  emit("delete", item)
//    }

    function showRow(itemSelect: ClickRowArgument) {
        emit("ouvrirModalFormSelectNumeroLot", itemSelect)
       // console.log(JSON.stringify(itemSelect) )
    }
</script>
